function y = symmod(x)
%
% y = symmod(x)
% x must be column or a row vector.
%
% symmetric modulation.

N = length(x);

if rem(N,2) == 0
	disp('x must be odd length')
	y = [];
	return
end
M = (N-1)/2;

y = (-1)^M * x .* ( (-1).^(0:N-1) );

