
path(path,'../figures')

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(1,1);
h1 = -h1;
h2 = -h2;
[h0' h1' h2']

figure(1)
plot_wlets(h0,h1,h2);

% ---------------------------------------------------


[h0,h1,h2,z0,z1,z2] = MakeFilters(1,3);
h1 = -h1;
[h0' h1' h2']
figure(1)
plot_wlets(h0,h1,h2,z0,z1,z2);

figure(2)
plot_H(h0,h1,h2)

figure(3), clf
titlestring = 'NEW EXPANSIVE DWT';
plot_iterfilt(h0,h1,h2,titlestring)


% Daubechies with K = 3 vanishing moments
K = 3;
[h0, h1] = daub(K);
h2 = 0*h1;
figure(4), clf
titlestring = 'CRITICALLY-SAMPLED DWT';
plot_iterfilt(h0,h1,h2,titlestring)

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(1,4,'mid');
[h0' h1' h2']

figure(1)
plot_wlets(h0,h1,h2,z0,z1,z2);

% ---------------------------------------------------

[h0,h1,h2,z0,z1,z2] = MakeFilters(3,2,'mid');
h1 = -h1;
[h0' h1' h2']

figure(1)
plot_wlets(h0,h1,h2);

figure(2)
plot_H(h0,h1,h2)

% ---------------------------------------------------

% Make Biframe Example

[h0,h1,h2,h0_,h1_,h2_,z0,z1,z2,z0_,z1_,z2_] = MakeBiframe;

figure(2)
plot_wlets(h0,h1,h2,z0,z1,z2);

figure(3)
plot_H(h0,h1,h2)

figure(4)
plot_wlets(h0_,h1_,h2_,z0_,z1_,z2_);

figure(5)
plot_H(h0_,h1_,h2_)

% ---------------------------------------------------

