function plotH(h0,h1,h2)

[H0,w] = freqz(h0);
[H1,w] = freqz(h1);
[H2,w] = freqz(h2);

clf
subplot(2,2,1)
plot(w/pi,abs(H0).^2,w/pi,abs(H1).^2,w/pi,abs(H2).^2)

set(gca,'fontsize',8)
% title(['|H_m(e^{j \omega})|^2'])
title('FREQUENCY RESPONSES')
xlabel('\omega')
axis([0 1 0 2.5])
set(gca,'xtick',[0 0.25 0.5 0.75  1]);
set(gca,'FontName','Symbol')
set(gca,'xtickLabel',{'0','0.25 p','0.5 p','0.75 p','p'})
orient portrait
